public inbox for dwz@sourceware.org
 help / color / mirror / Atom feed
* [committed] Add two-files-too-many-dies{,-2}.sh test-cases
@ 2019-01-01  0:00 Tom de Vries
  0 siblings, 0 replies; only message in thread
From: Tom de Vries @ 2019-01-01  0:00 UTC (permalink / raw)
  To: dwz, jakub

Hi,

Add test-cases that check dwz behaviour with max-die-limit and more than one
file.

Committed to trunk.

Thanks,
- Tom

Add two-files-too-many-dies{,-2}.sh test-cases

2019-03-17  Tom de Vries  <tdevries@suse.de>

	* testsuite/dwz.tests/two-files-too-many-dies-2.sh: New test.
	* testsuite/dwz.tests/two-files-too-many-dies.sh: New test.

---
 testsuite/dwz.tests/two-files-too-many-dies-2.sh | 22 ++++++++++++++++++++++
 testsuite/dwz.tests/two-files-too-many-dies.sh   | 21 +++++++++++++++++++++
 2 files changed, 43 insertions(+)

diff --git a/testsuite/dwz.tests/two-files-too-many-dies-2.sh b/testsuite/dwz.tests/two-files-too-many-dies-2.sh
new file mode 100644
index 0000000..c1a39f2
--- /dev/null
+++ b/testsuite/dwz.tests/two-files-too-many-dies-2.sh
@@ -0,0 +1,22 @@
+cp ../hello 1
+cp ../dwz-for-test 2
+
+limit=$(readelf -w 2 \
+	    | grep '(DW_TAG' \
+	    | wc -l)
+limit=$((limit - 1))
+
+if dwz -L$limit 2 1 2>dwz.err; status=$?; then
+    true
+fi
+
+if [ $status -eq 0 ]; then
+    echo "PR24301 workaround used" > dwz.info
+else
+    [ $status -eq 1 ]
+fi
+
+smaller-than.sh 1 ../hello
+cmp 2 ../dwz-for-test
+
+rm -f 1 2 dwz.err
diff --git a/testsuite/dwz.tests/two-files-too-many-dies.sh b/testsuite/dwz.tests/two-files-too-many-dies.sh
new file mode 100644
index 0000000..5d0485e
--- /dev/null
+++ b/testsuite/dwz.tests/two-files-too-many-dies.sh
@@ -0,0 +1,21 @@
+cp ../hello 1
+cp 1 2
+if dwz -L0 1 2 2>dwz.err; status=$?; then
+    true
+fi
+
+if ! grep -q "Too many DIEs, not optimizing" dwz.err; then
+    cat dwz.err
+    exit 1
+fi
+
+if [ $status -eq 0 ]; then
+    echo "PR24301 workaround used" > dwz.info
+else
+    [ $status -eq 1 ]
+fi
+
+cmp 1 ../hello
+cmp 2 ../hello
+
+rm -f 1 2 dwz.err

^ permalink raw reply	[flat|nested] only message in thread

only message in thread, other threads:[~2019-03-17 15:27 UTC | newest]

Thread overview: (only message) (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2019-01-01  0:00 [committed] Add two-files-too-many-dies{,-2}.sh test-cases Tom de Vries

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).